Pipelines - Delete
İşlem hattını siler.
DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DataFactory/factories/{factoryName}/pipelines/{pipelineName}?api-version=2018-06-01
URI Parametreleri
| Name | İçinde | Gerekli | Tür | Description |
|---|---|---|---|---|
|
factory
|
path | True |
string minLength: 3maxLength: 63 pattern: ^[A-Za-z0-9]+(?:-[A-Za-z0-9]+)*$ |
Fabrika adı. |
|
pipeline
|
path | True |
string minLength: 1maxLength: 260 pattern: ^[A-Za-z0-9_][^<>*#.%&:\\+?/]*$ |
İşlem hattı adı. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 pattern: ^[-\w\._\(\)]+$ |
Kaynak grubu adı. |
|
subscription
|
path | True |
string |
Abonelik tanımlayıcısı. |
|
api-version
|
query | True |
string |
API sürümü. |
Yanıtlar
| Name | Tür | Description |
|---|---|---|
| 200 OK |
TAMAM. |
|
| 204 No Content |
İçerik Yok. |
|
| Other Status Codes |
Azure Data Factory hizmetinden alınan bir hata yanıtı. |
Güvenlik
azure_auth
Azure Active Directory OAuth2 Akışı.
Tür:
oauth2
Akış:
implicit
Yetkilendirme URL’si:
https://login.microsoftonline.com/common/oauth2/authorize
Kapsamlar
| Name | Description |
|---|---|
| user_impersonation | kullanıcı hesabınızın kimliğine bürünme |
Örnekler
Pipelines_Delete
Örnek isteği
Örnek yanıt
Tanımlar
CloudError
Azure Data Factory hata yanıtının yapısını tanımlayan nesne.
| Name | Tür | Description |
|---|---|---|
| error.code |
string |
Hata kodu. |
| error.details |
Ek hata ayrıntıları içeren dizi. |
|
| error.message |
string |
Hata mesajı. |
| error.target |
string |
Hatayla ilişkili istekte özellik adı/yolu. |